Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.event
Interface UserEventListener

All Known Implementing Classes:
  EntityCapabilitiesManager, IQPEPHandler, IQPrivacyHandler, OfflineMessageStore, PrivateStorage, RosterManager, UserEventAdapter

    public interface UserEventListener

Interface to listen for group events. Use the `UserEventDispatcher.addListener(UserEventListener)` method to register for events.

Author:
  Matt Tucker

Method Summary
`void` | `userCreated(User user, Map<String,Object> params)` A user was created.
`void` | `userDeleting(User user, Map<String,Object> params)` A user is being deleted.
`void` | `userModified(User user, Map<String,Object> params)` A user's name, email, or an extended property was changed.

Method Detail

### userCreated

    void userCreated(User user,
                     Map<String,Object> params)

  A user was created.

  Parameters:
    `user` - the user.
    `params` - event parameters.

### userDeleting

    void userDeleting(User user,
                      Map<String,Object> params)

  A user is being deleted.

  Parameters:
    `user` - the user.
    `params` - event parameters.

### userModified

    void userModified(User user,
                      Map<String,Object> params)

  A user's name, email, or an extended property was changed.

  Parameters:
    `user` - the user.
    `params` - event parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.